[POST] Create rule
* Authentication
Required Authorization
Limit throttle:30,1
Request
Endpoint [POST] - /shop-api/coming-soon/create
Payload body
name
string
yes
status
int 0 1
no
start_date
datetime
yes eg. 2026-07-01T10:00:00.000000Z
end_date
datetime
no
apply_to
"all" | "collection" | "product" | "variant"
yes
product_ids
array [1,2,...]
yes min:1|max:50 (if apply_to = product)
variant_ids
array [1,2,...]
yes min:1|max:50 (if apply_to = variant)
collection_id
number single collection
yes (if apply_to = collection)
translations
object
no
show_countdown
boolean true false
no
apply_tomust be one of"all""collection""product""variant"
product_idsmay not send whenapply_tonot"product"andproduct_idsmust be array
variant_idsmay not send whenapply_tonot"variant"andvariant_idsmust be array
collection_idmay not send whenapply_tonot"collection"andcollection_idmust be signature ID
translationsmust be object, example:translations: { default: { comingSoonAddToCartText: "Coming Soon" // string } // en: {...}, jp: {...} }
Success response 200
Validate
name
required, string, max:255
The name field is required. The name may not be greater than 255 characters.
status
required, in:0,1
The status field is required. The selected status is invalid.
start_date
required, date
The start date field is required. The start date is not a valid date.
end_date
nullable, date, after:start_date
The end date is not a valid date. The end date must be a date after start date.
show_countdown
nullable, boolean
The show countdown field must be true or false.
apply_to
product,variant,collection,all
The apply to field is required. The selected apply to is invalid.
product_ids
required_if:apply_to,product, array
The product ids field is required when apply to is product. The product ids must be an array.
variant_ids
required_if:apply_to,variant, array
The variant ids field is required when apply to is variant. The variant ids must be an array.
collection_id
required_if:apply_to,collection
The collection id field is required when apply to is collection.
translations
nullable, array
The translations must be an array.
translations.{lang}
array
Each translation entry must be an array.
translations.{lang}.comingSoonAddToCartText
string
The translations.{lang}.comingSoonAddToCartText must be a string.
translations.{lang}.comingSoonAboveMessage
string
The translations.{lang}.comingSoonAboveMessage must be a string.
translations.{lang}.comingSoonBellowMessage
string
The translations.{lang}.comingSoonBellowMessage must be a string.
Last updated
Was this helpful?